Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class DefaultCodeBlockFactory

    java.lang.Object
      dioscuri.module.cpu32.DefaultCodeBlockFactory

All Implemented Interfaces:
  CodeBlockFactory

    public class DefaultCodeBlockFactory

extends java.lang.Object
implements CodeBlockFactory

Author:
  Bram Lohman, Bart Kiers

Constructor Summary
`DefaultCodeBlockFactory(Decoder decoder, CodeBlockCompiler compiler)`

Method Summary
`ProtectedModeCodeBlock` | `getProtectedModeCodeBlock(ByteSource source, boolean operandSize)`
`RealModeCodeBlock` | `getRealModeCodeBlock(ByteSource source)`
`Virtual8086ModeCodeBlock` | `getVirtual8086ModeCodeBlock(ByteSource source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCodeBlockFactory

    public DefaultCodeBlockFactory(Decoder decoder,
                                   CodeBlockCompiler compiler)

Parameters:
  `decoder` -
  `compiler` -

Method Detail

### getRealModeCodeBlock

    public RealModeCodeBlock getRealModeCodeBlock(ByteSource source)

  Specified by:
    `getRealModeCodeBlock` in interface `CodeBlockFactory`
  Parameters:
    `source` -
  Returns:
    -

### getProtectedModeCodeBlock

    public ProtectedModeCodeBlock getProtectedModeCodeBlock(ByteSource source,
                                                            boolean operandSize)

  Specified by:
    `getProtectedModeCodeBlock` in interface `CodeBlockFactory`
  Parameters:
    `source` -
    `operandSize` -
  Returns:
    -

### getVirtual8086ModeCodeBlock

    public Virtual8086ModeCodeBlock getVirtual8086ModeCodeBlock(ByteSource source)

  Specified by:
    `getVirtual8086ModeCodeBlock` in interface `CodeBlockFactory`
  Parameters:
    `source` -
  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD